package rocks.zipcode.io.quiz3.fundamentals;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author leon on 09/12/2018.
 */
public class VowelUtils {
    public static Boolean hasVowels(String word) {
        word = word.toLowerCase();
        Pattern p = Pattern.compile("[aeiou]");
        Matcher m = p.matcher(word);
        return m.find();
    }

    public static Integer getIndexOfFirstVowel(String word) throws IllegalStateException {
        try {
            word = word.toLowerCase();
            Pattern p = Pattern.compile("[aeiou]");
            Matcher m = p.matcher(word);
            m.find();
            return m.start();
        } catch (IllegalStateException e) {
            return null;
        }
    }

    public static Boolean startsWithVowel(String word) {
        word = word.toLowerCase();
        Pattern p = Pattern.compile("[aeiou]");
        Matcher m = p.matcher(String.valueOf(word.charAt(0)));
        return m.matches();
    }

    public static Boolean isVowel(Character character) {
        return Pattern.compile("[aeiou]").matcher(String.valueOf(character).toLowerCase()).matches();
    }
}
